org.apache.lucene.analysis.pattern

## Class PatternTypingFilter.PatternTypingRule

- java.lang.Object
- - org.apache.lucene.analysis.pattern.PatternTypingFilter.PatternTypingRule

Enclosing class:
  PatternTypingFilter

    public static class PatternTypingFilter.PatternTypingRule
    extends Object

Value holding class for pattern typing rules.

### Constructor Summary

Constructors
Constructor and Description
`PatternTypingRule(Pattern pattern, int flags, String typeTemplate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFlags()`
`Pattern` `getPattern()`
`String` `getTypeTemplate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternTypingRule

    public PatternTypingRule(Pattern pattern,
                             int flags,
                             String typeTemplate)

### Method Detail

#### getPattern

    public Pattern getPattern()

#### getFlags

    public int getFlags()

#### getTypeTemplate

    public String getTypeTemplate()